package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : 用户封禁表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_user_ban")
public class UserBan implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 用户账号
     */
    private String userName;

    /**
     * 用户昵称
     */
    private String userNickName;

    /**
     * 注册时间
     */
    private LocalDateTime regTime;

    /**
     * 封禁时间
     */
    private LocalDateTime banTime;

    /**
     * 状态, 0 正常 1 封禁
     */
    private Integer status;

    /**
     * 用户注册ip
     */
    private String ip;

    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 设备OAID
     */
    private String oaid;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * IOS设备IDFA
     */
    private String idfa;

    /**
     * IOS设备CAID
     */
    private String caid;

    /**
     * 身份证号
     */
    private String cardId;

    /**
     * 操作者id
     */
    private Long operateId;

    /**
     * 操作者名字
     */
    private String operateName;

    /**
     * 1:删除,0: 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}