package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.base.pojo.enums.HttpStatusEnum;
import com.zanxiang.game.module.mybatis.entity.UserBan;
import com.zanxiang.game.module.sdk.pojo.param.UserData;
import reactor.util.function.Tuple2;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : 玩家封禁管理
 */
public interface IUserBanService extends IService<UserBan> {

    /**
     * 设备封禁检测
     *
     * @param userData : 用户数据
     * @return : 返回检测结果
     */
    Tuple2<Boolean, HttpStatusEnum> banCheckByDevice(UserData userData);

    /**
     * 身份证号匹配
     *
     * @param gameId : 游戏id
     * @param cardId : 身份证号
     * @return : 返回匹配结果
     */
    boolean banCheckByCardId(Long gameId, String cardId);
}
